class_name Bullet extends Area2D
@onready var bulletSprite: Sprite2D = $Sprite2D

var speed = 700
# did I hit anyone?
signal hit(bullet, body)

func setSpeed(speedValue):
	speed = speedValue
	if speed <0:
		bulletSprite.flip_h = true
	else:
		bulletSprite.flip_h = false
	
func _physics_process(delta):
	position += transform.x * speed * delta


func _on_body_entered(body: Node2D) -> void:
	print("Bullet hit something")
	if not body.is_in_group("player"):
		hit.emit(self, body)
